HTTP API reference › GalaSwap DEX › competition
GalaSwap DEX — competition
Source commit: unknown. Generated: 2026-10-26T22:08:07.609Z.
8 operations in this group.
- GET /competition/active — GET /competition/active
- GET /competition/{id} — GET /competition/{id}
- GET /competition/{id}/stats — GET /competition/{id}/stats
- GET /competition/{id}/participant/{wallet} — GET /competition/{id}/participant/{wallet}
- GET /competition/{id}/leaderboard — GET /competition/{id}/leaderboard
- GET /competition/{id}/inventory/{wallet} — GET /competition/{id}/inventory/{wallet}
- POST /competition/{id}/enroll — POST /competition/{id}/enroll
- POST /competition/{id}/open-chest — POST /competition/{id}/open-chest
GET /competition/active
CompetitionController_getActiveCompetition
GET /competition/active
GET /competition/active
Security: []
Responses
200 —
Content type: application/json
Schema: oneOf: CompetitionResponse | object nullable enum:
| Field | Type | Required | Description |
|---|---|---|---|
| id | number | yes | |
| name | string | yes | |
| description | string nullable | yes | |
| poolHashes | array<string> | yes | |
| startTime | string | yes | |
| endTime | string | yes | |
| status | string enum: PENDING, ACTIVE, COMPLETED, CANCELLED | yes | |
| keyThresholdUsd | number | yes | |
| grandPrizeConfig | object nullable CompetitionGrandPrizeResponseDto | yes | |
| termsUrl | string nullable | yes | |
| bannerImageUrl | string nullable | yes | |
| isActive | boolean | yes | |
| timeRemaining | number nullable | yes | |
| totalParticipants | number | yes | |
| totalVolume | number | yes | |
| chestTierConfig | array<CompetitionChestTierResponseDto> nullable | yes | |
| * | free-form object | no | Additional properties allowed |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example response
[]
GET /competition/{id}
CompetitionController_getCompetition
GET /competition/{id}
GET /competition/{id}
Security: []
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | number |
Responses
200 —
Content type: application/json
Schema: CompetitionResponse
| Field | Type | Required | Description |
|---|---|---|---|
| id | number | yes | |
| name | string | yes | |
| description | string nullable | yes | |
| poolHashes | array<string> | yes | |
| startTime | string | yes | |
| endTime | string | yes | |
| status | string enum: PENDING, ACTIVE, COMPLETED, CANCELLED | yes | |
| keyThresholdUsd | number | yes | |
| grandPrizeConfig | object nullable CompetitionGrandPrizeResponseDto | yes | |
| termsUrl | string nullable | yes | |
| bannerImageUrl | string nullable | yes | |
| isActive | boolean | yes | |
| timeRemaining | number nullable | yes | |
| totalParticipants | number | yes | |
| totalVolume | number | yes | |
| chestTierConfig | array<CompetitionChestTierResponseDto> nullable | yes |
404 —
Content type: application/json
Schema: CompetitionErrorResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| statusCode | number | yes | |
| message | oneOf: string | array<string> | yes | |
| error | string | no |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example response
[]
GET /competition/{id}/stats
CompetitionController_getCompetitionStats
GET /competition/{id}/stats
GET /competition/{id}/stats
Security: []
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | number |
Responses
200 —
Content type: application/json
Schema: CompetitionStatsResponse
| Field | Type | Required | Description |
|---|---|---|---|
| competitionId | number | yes | |
| totalParticipants | number | yes | |
| totalVolume | number | yes | |
| totalKeysAwarded | number | yes | |
| totalChestsOpened | object | yes | |
| grandPrizeEntries | number | yes |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example response
[]
GET /competition/{id}/participant/{wallet}
CompetitionController_getParticipant
GET /competition/{id}/participant/{wallet}
GET /competition/{id}/participant/{wallet}
Security: []
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | number | |
| wallet | path | yes | string |
Responses
200 —
Content type: application/json
Schema: oneOf: ParticipantResponse | object nullable enum:
| Field | Type | Required | Description |
|---|---|---|---|
| id | number | yes | |
| competitionId | number | yes | |
| walletAddress | string | yes | |
| totalVolumeUsd | number | yes | |
| keysEarned | number | yes | |
| keysSpent | number | yes | |
| grandPrizeEntry | boolean | yes | |
| enrolledAt | string | yes | |
| rank | number nullable | yes | |
| availableKeys | KeyInventory | yes | |
| chestOpens | array<ChestOpenResponse> | yes | |
| * | free-form object | no | Additional properties allowed |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example response
[]
GET /competition/{id}/leaderboard
CompetitionController_getLeaderboard
GET /competition/{id}/leaderboard
GET /competition/{id}/leaderboard
Security: []
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | number | |
| wallet | query | no | string |
Responses
200 —
Content type: application/json
Schema: CompetitionLeaderboardResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| entries | array<LeaderboardEntry> | yes | |
| totalParticipants | number | yes | |
| totalVolume | number | yes | |
| userPosition | LeaderboardEntry | no |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example response
[]
GET /competition/{id}/inventory/{wallet}
CompetitionController_getInventory
GET /competition/{id}/inventory/{wallet}
GET /competition/{id}/inventory/{wallet}
Security: []
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | number | |
| wallet | path | yes | string |
Responses
200 —
Content type: application/json
Schema: oneOf: CompetitionNotEnrolledInventoryResponseDto | CompetitionEnrolledInventoryResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| enrolled | boolean enum: false | yes | |
| keys | KeyInventory | yes | |
| grandPrizeEntry | boolean enum: false | yes | |
| enrolled | boolean enum: true | yes | |
| keys | KeyInventory | yes | |
| grandPrizeEntry | boolean | yes | |
| totalVolume | number | yes | |
| rank | number nullable | yes |
400 —
Content type: application/json
Schema: CompetitionErrorResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| statusCode | number | yes | |
| message | oneOf: string | array<string> | yes | |
| error | string | no |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example response
[]
POST /competition/{id}/enroll
CompetitionController_enroll
POST /competition/{id}/enroll
POST /competition/{id}/enroll
Security: []
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | number |
Request body
Required: yes
application/json
Schema: EnrollDto
| Field | Type | Required | Description |
|---|---|---|---|
| walletAddress | string | yes |
Responses
200 —
Content type: application/json
Schema: ParticipantResponse
| Field | Type | Required | Description |
|---|---|---|---|
| id | number | yes | |
| competitionId | number | yes | |
| walletAddress | string | yes | |
| totalVolumeUsd | number | yes | |
| keysEarned | number | yes | |
| keysSpent | number | yes | |
| grandPrizeEntry | boolean | yes | |
| enrolledAt | string | yes | |
| rank | number nullable | yes | |
| availableKeys | KeyInventory | yes | |
| chestOpens | array<ChestOpenResponse> | yes |
400 —
Content type: application/json
Schema: CompetitionErrorResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| statusCode | number | yes | |
| message | oneOf: string | array<string> | yes | |
| error | string | no |
404 —
Content type: application/json
Schema: CompetitionErrorResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| statusCode | number | yes | |
| message | oneOf: string | array<string> | yes | |
| error | string | no |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example request
[]
Example response
[]
POST /competition/{id}/open-chest
CompetitionController_openChest
POST /competition/{id}/open-chest
POST /competition/{id}/open-chest
Security: []
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | number |
Request body
Required: yes
application/json
Schema: OpenChestDto
| Field | Type | Required | Description |
|---|---|---|---|
| walletAddress | string | yes | |
| tierNumber | number | yes |
Responses
200 —
Content type: application/json
Schema: OpenChestResponse
| Field | Type | Required | Description |
|---|---|---|---|
| success | boolean | yes | |
| chestOpenId | number | yes | |
| tierNumber | number | yes | |
| tierName | string | yes | |
| keysUsed | number | yes | |
| rewardPacks | array<CompetitionRewardPackResponseDto> | yes | |
| message | string | yes |
400 —
Content type: application/json
Schema: CompetitionErrorResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| statusCode | number | yes | |
| message | oneOf: string | array<string> | yes | |
| error | string | no |
404 —
Content type: application/json
Schema: CompetitionErrorResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
| statusCode | number | yes | |
| message | oneOf: string | array<string> | yes | |
| error | string | no |
default — An error response using the shared backend error envelope.
Content type: application/json
Schema: ApiErrorEnvelope
| Field | Type | Required | Description |
|---|---|---|---|
| status | integer | yes | |
| error | boolean | yes | |
| message | string | yes | |
| errorKey | string | no |
Example request
[]
Example response
[]
Previous group: incentive · Next group: WalletExtensionCompat